Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.navigation
Class ConversationControl

    java.lang.Object
      org.jboss.seam.navigation.ConversationControl

    public class ConversationControl

extends Object

Demarcation of the conversation in pages.xml

Author:
  Gavin King

Constructor Summary
`ConversationControl()`

Method Summary
`void` | `beginOrEndConversation()`
`Expressions.ValueExpression<Boolean>` | `getBeginConversationCondition()`
`String` | `getConversationName()`
`Expressions.ValueExpression<Boolean>` | `getEndConversationCondition()`
`FlushModeType` | `getFlushMode()`
`String` | `getPageflow()`
`boolean` | `isBeginConversation()`
`boolean` | `isEndConversation()`
`boolean` | `isEndConversationBeforeRedirect()`
`boolean` | `isEndRootConversation()`
`boolean` | `isJoin()`
`boolean` | `isNested()`
`void` | `setBeginConversation(boolean isBeginConversation)`
`void` | `setBeginConversationCondition(Expressions.ValueExpression<Boolean> beginConversationCondition)`
`void` | `setConversationName(String conversationName)`
`void` | `setEndConversation(boolean isEndConversation)`
`void` | `setEndConversationBeforeRedirect(boolean isEndConversationBeforeRedirect)`
`void` | `setEndConversationCondition(Expressions.ValueExpression<Boolean> endConversationCondition)`
`void` | `setEndRootConversation(boolean isEndRootConversation)`
`void` | `setFlushMode(FlushModeType flushMode)`
`void` | `setJoin(boolean join)`
`void` | `setNested(boolean nested)`
`void` | `setPageflow(String pageflow)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConversationControl

    public ConversationControl()

Method Detail

### isBeginConversation

    public boolean isBeginConversation()

### setBeginConversation

    public void setBeginConversation(boolean isBeginConversation)

### isEndConversation

    public boolean isEndConversation()

### setEndConversation

    public void setEndConversation(boolean isEndConversation)

### beginOrEndConversation

    public void beginOrEndConversation()

### getFlushMode

    public FlushModeType getFlushMode()

### setFlushMode

    public void setFlushMode(FlushModeType flushMode)

### isJoin

    public boolean isJoin()

### setJoin

    public void setJoin(boolean join)

### isNested

    public boolean isNested()

### setNested

    public void setNested(boolean nested)

### getPageflow

    public String getPageflow()

### setPageflow

    public void setPageflow(String pageflow)

### isEndConversationBeforeRedirect

    public boolean isEndConversationBeforeRedirect()

### setEndConversationBeforeRedirect

    public void setEndConversationBeforeRedirect(boolean isEndConversationBeforeRedirect)

### isEndRootConversation

    public boolean isEndRootConversation()

### setEndRootConversation

    public void setEndRootConversation(boolean isEndRootConversation)

### getBeginConversationCondition

    public Expressions.ValueExpression<Boolean> getBeginConversationCondition()

### setBeginConversationCondition

    public void setBeginConversationCondition(Expressions.ValueExpression<Boolean> beginConversationCondition)

### getEndConversationCondition

    public Expressions.ValueExpression<Boolean> getEndConversationCondition()

### setEndConversationCondition

    public void setEndConversationCondition(Expressions.ValueExpression<Boolean> endConversationCondition)

### getConversationName

    public String getConversationName()

### setConversationName

    public void setConversationName(String conversationName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.